Bug 228484 - [patch] examples, sendmail files missing in tools/build/mk/OptionalObsoleteFiles.inc
Summary: [patch] examples, sendmail files missing in tools/build/mk/OptionalObsoleteFi...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2018-05-25 12:54 UTC by Dmitry Wagin
Modified: 2019-02-03 11:07 UTC (History)
1 user (show)

See Also:


Attachments
patch-OptionalObsoleteFiles.inc (1.25 KB, patch)
2018-05-25 12:54 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2018-05-25 12:54:55 UTC
Created attachment 193688 [details]
patch-OptionalObsoleteFiles.inc
Comment 1 commit-hook freebsd_committer 2019-01-17 06:23:14 UTC
A commit references this bug:

Author: gonzo
Date: Thu Jan 17 06:22:15 UTC 2019
New revision: 343109
URL: https://svnweb.freebsd.org/changeset/base/343109

Log:
  Add optional obsolete files for the installworld without sendmail

  Add two more entries for WITHOUT_SENDMAIL install. The /var/spool/clientmqueue
  entry would be deleted only if there are no files/dirs in it, so the
  content generated during previous lifecycle of the system is safe

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>
  MFC after:	1 week

Changes:
  head/tools/build/mk/OptionalObsoleteFiles.inc
Comment 2 commit-hook freebsd_committer 2019-01-17 06:35:29 UTC
A commit references this bug:

Author: gonzo
Date: Thu Jan 17 06:34:40 UTC 2019
New revision: 343110
URL: https://svnweb.freebsd.org/changeset/base/343110

Log:
  Fix conditional obsolete files entry for WITHOUT_EXAMPLES

  Add all the files under /usr/share/examples to the MK_EXAMPLES
  section. OLD_DIRS entries are not removed if they're not empty so
  prior to this change WITHOUT_EXAMPLES didn't have significant effect
  on the updated system.

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (original patch)
  MFC after:	1 week

Changes:
  head/tools/build/mk/OptionalObsoleteFiles.inc
Comment 3 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-17 06:35:53 UTC
Committed slightly modified version of the patch.
Thanks for submitting.
Comment 4 commit-hook freebsd_committer 2019-02-03 11:07:54 UTC
A commit references this bug:

Author: gonzo
Date: Sun Feb  3 11:07:41 UTC 2019
New revision: 343711
URL: https://svnweb.freebsd.org/changeset/base/343711

Log:
  MFC r343009, r343109-r343110, r343128, r343232

  r343009:
  Add four kerberos CLI utilities to OptionalObsoleteFiles.inc

  Add asn1_compile, make-roken, kcc, and slc to the OptionalObsoleteFiles.inc
  so they would be removed during delete-old stage if the new world is built
  without Kerberos support.

  PR:		230725
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343109:
  Add optional obsolete files for the installworld without sendmail

  Add two more entries for WITHOUT_SENDMAIL install. The /var/spool/clientmqueue
  entry would be deleted only if there are no files/dirs in it, so the
  content generated during previous lifecycle of the system is safe

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343110:
  Fix conditional obsolete files entry for WITHOUT_EXAMPLES

  Add all the files under /usr/share/examples to the MK_EXAMPLES
  section. OLD_DIRS entries are not removed if they're not empty so
  prior to this change WITHOUT_EXAMPLES didn't have significant effect
  on the updated system.

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (original patch)

  r343128:
  Add ypldap to the list of conditional obsolete files

  ypldap should be removed during delete-old if WITHOUT_NIS flag is enabled

  PR:		230727
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343232:
  Add more profile-enabled libraries to remove when WITHOUT_PROFILE is defined

  PR:		230898
  Submitted by:	Herbert J. Skuhra <herbert@mailbox.org>

Changes:
_U  stable/12/
  stable/12/tools/build/mk/OptionalObsoleteFiles.inc
Comment 5 commit-hook freebsd_committer 2019-02-03 11:07:59 UTC
A commit references this bug:

Author: gonzo
Date: Sun Feb  3 11:07:41 UTC 2019
New revision: 343711
URL: https://svnweb.freebsd.org/changeset/base/343711

Log:
  MFC r343009, r343109-r343110, r343128, r343232

  r343009:
  Add four kerberos CLI utilities to OptionalObsoleteFiles.inc

  Add asn1_compile, make-roken, kcc, and slc to the OptionalObsoleteFiles.inc
  so they would be removed during delete-old stage if the new world is built
  without Kerberos support.

  PR:		230725
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343109:
  Add optional obsolete files for the installworld without sendmail

  Add two more entries for WITHOUT_SENDMAIL install. The /var/spool/clientmqueue
  entry would be deleted only if there are no files/dirs in it, so the
  content generated during previous lifecycle of the system is safe

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343110:
  Fix conditional obsolete files entry for WITHOUT_EXAMPLES

  Add all the files under /usr/share/examples to the MK_EXAMPLES
  section. OLD_DIRS entries are not removed if they're not empty so
  prior to this change WITHOUT_EXAMPLES didn't have significant effect
  on the updated system.

  PR:		228484
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (original patch)

  r343128:
  Add ypldap to the list of conditional obsolete files

  ypldap should be removed during delete-old if WITHOUT_NIS flag is enabled

  PR:		230727
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

  r343232:
  Add more profile-enabled libraries to remove when WITHOUT_PROFILE is defined

  PR:		230898
  Submitted by:	Herbert J. Skuhra <herbert@mailbox.org>

Changes:
_U  stable/12/
  stable/12/tools/build/mk/OptionalObsoleteFiles.inc